Subject: Re: bug#14513: 24.3.50; Site load-path pieces differ in MSYS build

From: Stefan Monnier <[email-masked]>
Date: Thu, 30 May 2013 15:06:26 -0400

> This is all still true, except that some of the directories are not
> immediately below the root of the installation tree, but somewhat
> deeper.  E.g., what was previously in ROOT/lisp is now in
> ROOT/share/emacs/VERSION/lisp.  Why is that difference important?

He's not complaining about that.  He's annoyed about having removed
%emacs_dir%/../site-lisp from the load-path.

>> c:\>dir /B c:\emacs
>> emacs-111818
>> emacs-112125
>> emacs-112416
>> site-lisp

> You can still have separate directories like that, unless I'm missing
> something.

Except that the site-lisp file now won't be used any more unless you ask
for it manually in your .emacs.

> Did you really have files in "%emacs_dir%/../site-lisp"?

Apparently he did, yes.

> If you do have files in this directory, you'll have to copy them into
> each new tree, if you really want the threes to be separate, not under
> a single root.

No: he specifically wants to share all the external packages under
a single site-lisp.

> But you'll probably need that anyway, because Lisp
> files had better be compiled by the Emacs version that runs them.

No, they work just fine as long as the compiler was older than the runner.

        Stefan